Index: fedkit/active_config.pl
===================================================================
--- fedkit/active_config.pl	(revision 444790d9f15dfc563ee8cb668907143604458cc2)
+++ fedkit/active_config.pl	(revision 73e0a6193bb39ba1940b34e0f91f4e323a49c6d2)
@@ -18,4 +18,5 @@
 my $ssh = "/usr/bin/ssh";
 my $ssh_port = 22;
+my $use_file;
 
 my %opts = (
Index: fedkit/combo.pl
===================================================================
--- fedkit/combo.pl	(revision 444790d9f15dfc563ee8cb668907143604458cc2)
+++ fedkit/combo.pl	(revision 73e0a6193bb39ba1940b34e0f91f4e323a49c6d2)
@@ -59,5 +59,5 @@
 	"--peer=$peer --ssh_pubkey=$ssh_pubkey --ssh_privkey=$ssh_privkey " .
 	" $tunnelparam --fedkit=$fedkit_dir --perl=$perl " .
-	"--ssh=$ssh $portparam");
+	"--ssh=$ssh --ssh_port=$ssh_port $portparam");
     exit(20) if $?;
 }
Index: fedkit/federate.pl
===================================================================
--- fedkit/federate.pl	(revision 444790d9f15dfc563ee8cb668907143604458cc2)
+++ fedkit/federate.pl	(revision 73e0a6193bb39ba1940b34e0f91f4e323a49c6d2)
@@ -32,4 +32,5 @@
 my $proj;
 my $install_smb;
+my $smb_type = 'cifs';
 chomp (my $uname = `uname`);
 my $smbmount = "smbmount.$uname.pl";
@@ -57,6 +58,8 @@
     $from->close();
     $to->close();
-    # Now, bridging
+    # Now, samba
     system('/usr/bin/yum -y install samba-client');
+    # These tools expect the fstab to include smbfs instead
+    $smb_type = 'smbfs';
 }
 
@@ -152,8 +155,9 @@
     if ($uname =~ /FreeBSD/ ) {
 	system("umount -A -f -t nfs,smbfs,cifs");
+	$smb_type = "smbfs";
     }
     elsif ($uname =~ /Linux/ ) {
 	# Pass individual filestems to Linux umount.  No -A.
-	my $mtab = new IO::File("/etc/mtab") || die "Can't open /etc/mtab:$1\n";
+	my $mtab = new IO::File("/etc/mtab") || die "Can't open /etc/mtab:$!\n";
 	while (<$mtab>) {
 	    chomp;
@@ -169,5 +173,5 @@
     print "Mounting via SMB\n";
     system("$perl /usr/local/federation/bin/$smbmount $smbshare $gateway " . 
-	"$smbuser $smbproject");
+	"$smbuser $smbproject $smb_type");
 }
 
Index: fedkit/smbmount.FreeBSD.pl
===================================================================
--- fedkit/smbmount.FreeBSD.pl	(revision 444790d9f15dfc563ee8cb668907143604458cc2)
+++ fedkit/smbmount.FreeBSD.pl	(revision 73e0a6193bb39ba1940b34e0f91f4e323a49c6d2)
@@ -10,4 +10,5 @@
 $PUSER=shift || "jhickey";
 $PNAME=shift || "emulab-ops";
+$FSTYPE=shift || "smbfs";
 $FSTAB="/etc/fstab";
 $HOMEROOT="/users";
@@ -75,5 +76,5 @@
 
 	print FSTAB "//$user\@$SHARE/$user\t";
-	print FSTAB "$AMDROOT$homedir\tsmbfs\t";
+	print FSTAB "$AMDROOT$homedir\t$FSTYPE\t";
 	print FSTAB "noauto,rw,-N,-f744,-d755,-u$uid,-g$gid\t0\t0\n";
 
@@ -90,5 +91,5 @@
 	if($user =~ m/$PUSER/i) {
 	    print FSTAB "//$user\@$SHARE/proj-$PNAME\t";
-	    print FSTAB "$AMDROOT/proj\tsmbfs\t";
+	    print FSTAB "$AMDROOT/proj\t$FSTYPE\t";
 	    print FSTAB "noauto,rw,-N,-f774,-d775,-u$uid,-g$gid\t0\t0\n";
 
@@ -103,5 +104,5 @@
 	    if ( $share) {
 		print FSTAB "//$user\@$SHARE/share\t";
-		print FSTAB "$AMDROOT/share\tsmbfs\t";
+		print FSTAB "$AMDROOT/share\t$FSTYPE\t";
 		print FSTAB "noauto,rw,-N,-f774,-d775,-u$uid,-g$gid\t0\t0\n";
 
Index: fedkit/smbmount.Linux.pl
===================================================================
--- fedkit/smbmount.Linux.pl	(revision 444790d9f15dfc563ee8cb668907143604458cc2)
+++ fedkit/smbmount.Linux.pl	(revision 73e0a6193bb39ba1940b34e0f91f4e323a49c6d2)
@@ -10,4 +10,5 @@
 $PUSER=shift || "jhickey";
 $PNAME=shift || "emulab-ops";
+$FSTYPE=shift || 'cifs';
 $FSTAB="/etc/fstab";
 $HOMEROOT="/users";
@@ -68,5 +69,5 @@
 
 	print FSTAB "//$SHARE/$user\t";
-	print FSTAB "$homedir\tcifs\t";
+	print FSTAB "$homedir\t$FSTYPE\t";
 	print FSTAB "auto,rw,credentials=/tmp/$user.cifs_creds,ip=$ADDR\t0\t0\n";
 
@@ -86,5 +87,5 @@
 	    if ( $share) {
 		print FSTAB "//$SHARE/share\t";
-		print FSTAB "/share\tcifs\t";
+		print FSTAB "/share\t$FSTYPE\t";
 		print FSTAB "rw,credentials=/tmp/$user.cifs_creds,ip=$ADDR\t0\t0\n";
 
@@ -97,4 +98,4 @@
 close(FSTAB);
 
-print("Mounting the cifs versions of everything\n");
-system("$MOUNT -a -t cifs");
+print("Mounting the $FSTYPE versions of everything\n");
+system("$MOUNT -a -t $FSTYPE");
